package com.kingdee.eas.custom.designresults;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DesignResultsCollection extends AbstractObjectCollection 
{
    public DesignResultsCollection()
    {
        super(DesignResultsInfo.class);
    }
    public boolean add(DesignResultsInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DesignResultsCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DesignResultsInfo item)
    {
        return removeObject(item);
    }
    public DesignResultsInfo get(int index)
    {
        return(DesignResultsInfo)getObject(index);
    }
    public DesignResultsInfo get(Object key)
    {
        return(DesignResultsInfo)getObject(key);
    }
    public void set(int index, DesignResultsInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DesignResultsInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DesignResultsInfo item)
    {
        return super.indexOf(item);
    }
}